Skip to main content
GET
/
workspaces
/
assets
/
{asset_id}
/
reviews
cURL
curl --request GET \
  --url https://api.mudstack.com/workspaces/assets/{asset_id}/reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'x-account-id: <x-account-id>' \
  --header 'x-workspace-id: <x-workspace-id>'
import requests

url = "https://api.mudstack.com/workspaces/assets/{asset_id}/reviews"

headers = {
    "x-account-id": "<x-account-id>",
    "x-workspace-id": "<x-workspace-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {
    'x-account-id': '<x-account-id>',
    'x-workspace-id': '<x-workspace-id>',
    Authorization: 'Bearer <token>'
  }
};

fetch('https://api.mudstack.com/workspaces/assets/{asset_id}/reviews', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "id": "<string>",
    "asset_id": "<string>",
    "asset_version_id": "<string>",
    "user_id": "<string>",
    "assigned_user_id": "<string>",
    "content": "<string>",
    "mentions": [
      "<string>"
    ],
    "viewer_metadata": {},
    "attachments": [
      {
        "id": "<string>",
        "asset_id": "<string>",
        "created_by_user_id": "<string>",
        "file_id": "<string>",
        "thumbnail_file_id": "<string>",
        "review_id": "<string>",
        "comment_id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "user": {
          "id": "<string>",
          "auth0UserID": "<string>",
          "username": "<string>",
          "email": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "avatar_file_id": "<string>",
          "defaultAvatar": 123,
          "industry": "<string>",
          "occupation": "<string>",
          "company": "<string>",
          "emailVerified": true,
          "isActive": true,
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "zipCode": "<string>",
          "invited_by_user": "<unknown>"
        }
      }
    ],
    "version": {
      "id": "<string>",
      "asset_id": "<string>",
      "created_by_user_id": "<string>",
      "thumbnail_file_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "key": "<string>",
      "size": 123,
      "version_number": 123,
      "sequence": 123,
      "checksum": "<string>",
      "commit_parent_id": "<string>",
      "user": {
        "id": "<string>",
        "auth0UserID": "<string>",
        "username": "<string>",
        "email": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "avatar_file_id": "<string>",
        "defaultAvatar": 123,
        "industry": "<string>",
        "occupation": "<string>",
        "company": "<string>",
        "emailVerified": true,
        "isActive": true,
        "city": "<string>",
        "state": "<string>",
        "country": "<string>",
        "zipCode": "<string>",
        "invited_by_user": "<unknown>"
      }
    },
    "user": {
      "id": "<string>",
      "auth0UserID": "<string>",
      "username": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "avatar_file_id": "<string>",
      "defaultAvatar": 123,
      "industry": "<string>",
      "occupation": "<string>",
      "company": "<string>",
      "emailVerified": true,
      "isActive": true,
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "zipCode": "<string>",
      "invited_by_user": "<unknown>"
    },
    "assignee": {
      "id": "<string>",
      "auth0UserID": "<string>",
      "username": "<string>",
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "avatar_file_id": "<string>",
      "defaultAvatar": 123,
      "industry": "<string>",
      "occupation": "<string>",
      "company": "<string>",
      "emailVerified": true,
      "isActive": true,
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "zipCode": "<string>",
      "invited_by_user": "<unknown>"
    },
    "workspace_id": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Path Parameters

asset_id
string
required

Response

200 - application/json

A list of reviews

id
string

Unique identifier for the asset review.

asset_id
string

Unique identifier for the asset being reviewed.

asset_version_id
string | null

Unique identifier for the version of the asset being reviewed.

user_id
string

Unique identifier for the user who created the review.

assigned_user_id
string | null

Unique identifier for the user assigned to the review.

status
enum<string>

Status of the review.

Available options:
approved,
rejected
content
string

Content of the review.

mentions
string[]

List of user mentions in the review.

viewer_metadata
object

Metadata for the viewer.

attachments
object[]

List of attachments associated with the review.

version
object

Version of the asset being reviewed.

user
object

User who created the review.

assignee
object

User assigned to the review.

workspace_id
string | null

Unique identifier for the workspace.